Перейти к содержанию

Check Definitions

Check definitions are the statistics digna calculates and checks for a data source. Authentication, pagination and errors are described in the Overview.

Method Path Description
GET /v1/check-definitions List check definitions

List check definitions

GET /v1/check-definitions

Parameters

Name In Type Required Description
data_source_id query integer Yes Filter by data source ID
limit query integer No Maximum number of rows to return (default: 200, max: 5000)

Responses

Status Description Body
200 List check definitions array of CheckDefinition
400 Invalid limit ApiError
401 Not authenticated ApiError
500 Internal error ApiError

Example

curl -X GET 'https://digna.example.com/v1/check-definitions?data_source_id=<data_source_id>' \
  -H "Authorization: Bearer $DIGNA_API_KEY"

Schemas

ApiError

Field Type Required Description
code ApiErrorCode Yes
message string Yes

CheckDefinition

Field Type Required Description
attribute CheckDefinitionAttribute, nullable No
data_anomaly_enabled boolean Yes
data_source CheckDefinitionDataSource Yes
id integer Yes
lower_limit number (double), nullable No
max_threshold number (double), nullable No
min_threshold number (double), nullable No
project CheckDefinitionProject Yes
statistic CheckDefinitionStatistic Yes
upper_limit number (double), nullable No

ApiErrorCode

One of: INTERNAL_ERROR, INVALID_CREDENTIALS, NOT_FOUND, NOT_AUTHENTICATED, NOT_AUTHORIZED, INVALID_LICENSE, BAD_REQUEST.

CheckDefinitionDataSource

Field Type Required Description
id integer Yes
name string Yes

CheckDefinitionProject

Field Type Required Description
id integer Yes
name string Yes

CheckDefinitionStatistic

Field Type Required Description
id integer Yes
macro_name string Yes
name string Yes

CheckDefinitionAttribute

Field Type Required Description
id integer Yes
name string Yes